Subject: Re: howto to run git without a master branch

From: Andreas Schwab <[email-masked]>
Date: Mon, 10 Mar 2014 10:30:08 +0100

Ilya Bobyr <[email-masked]> writes:

> There is a "git remote set-head" to manipulate HEAD in a remote repository.

This is misleading.  The command does nothing on the remote side, it
only changes the refs/remote namespace in your repository.  The purpose
is to change what branch the ref remote/<name> resolves to, ie. without
explicit branch name.

(The only command that manipulates the remote repository is git push,
and the plumbing beneath that.  To change HEAD in a remote repository
you need filesystem access to it.)

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."